%global octpkg general

Name:           octave-%{octpkg}
Version:        1.3.2
Release:        3%{?dist}
Summary:        General tools for Octave, string dictionary, parallel computing
Group:          Applications/Engineering
License:        GPLv3+ and BSD and Public Domain
URL:            http://octave.sourceforge.net/general/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Obsoletes:      octave-forge <= 20090607

%description
The Octave-forge General package provides functions for parallel computing,
string dictionaries and other general utility functions.


%prep
%setup -q -n %{octpkg}


%build
%octave_pkg_build


%install
%octave_pkg_install


%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%{octpkgdir}/*.m
%{octpkgdir}/@dict/*.m
%{octpkgdir}/@inputParser/*.m
%{octpkgdir}/private/*.m
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/packinfo


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct  8 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.3.2-2
- remove buildroot cleaning

* Tue Sep 25 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.3.2-1
- Initial Fedora package
